<?php

declare(strict_types=1);

namespace Apexl\Io\User\Interfaces;

use Apexl\Io\User\Services\JwtFromRequestService;
use Exception;
use Psr\Http\Message\ServerRequestInterface;

interface JwtFromRequestServiceFactoryInterface
{
    /**
     * @throws Exception
     */
    public function make(ServerRequestInterface $request): JwtFromRequestService;
}